import java.util.StringTokenizer;
public class PigLatinTranslator {

	public static String translate(String phrase) {
		String result = "";
		StringTokenizer st = new StringTokenizer(phrase);

		while(st.hasMoreTokens()) {
			result += translateWord(st.nextToken());
			result += " ";
		}
		
		return result;
	}

	private static String translateWord(String word) {
		String result = "";

		if(beginsWithVowel(word)) {
			result = word + "yay";
		} else {
			result = word.substring(1) + word.charAt(0) + "ay";
		}

		return result;
	}

	private static boolean beginsWithVowel(String word) {
		String vowels = "aeouiAEOUI";
		
		return vowels.indexOf(word.charAt(0)) != -1;

	}

}